# Class SearchFilter

java.lang.Object
org.mariadb.jdbc.internal.failover.tools.SearchFilter

public class SearchFilter extends Object

## Constructor Summary

Constructors
Constructor
Description
`SearchFilter()`
`SearchFilter(boolean initialConnection)`
Constructor.
`SearchFilter(boolean fineIfFoundOnlyMaster, boolean fineIfFoundOnlyReplica)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFailoverLoop()`
`boolean`
`isFineIfFoundOnlyMaster()`
`boolean`
`isFineIfFoundOnlyReplica()`
`boolean`
`isInitialConnection()`
`void`
`setFailoverLoop(boolean failoverLoop)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SearchFilter

public SearchFilter()

### SearchFilter

public SearchFilter(boolean fineIfFoundOnlyMaster, boolean fineIfFoundOnlyReplica)
Constructor.

Parameters:
  `fineIfFoundOnlyMaster` - stop searching if master found
  `fineIfFoundOnlyReplica` - stop searching if replica found

### SearchFilter

public SearchFilter(boolean initialConnection)
Constructor.

Parameters:
  `initialConnection` - initial connection flag

## Method Details

### isInitialConnection

public boolean isInitialConnection()

### isFineIfFoundOnlyMaster

public boolean isFineIfFoundOnlyMaster()

### isFineIfFoundOnlyReplica

public boolean isFineIfFoundOnlyReplica()

### isFailoverLoop

public boolean isFailoverLoop()

### setFailoverLoop

public void setFailoverLoop(boolean failoverLoop)

### toString

public String toString()

Overrides:
  `toString` in class `Object`